Package com.smartgwt.client.types

# Enum TextAreaWrap

java.lang.Object
java.lang.Enum<TextAreaWrap>
com.smartgwt.client.types.TextAreaWrap

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TextAreaWrap>`, `Constable`

public enum TextAreaWrap extends Enum<TextAreaWrap> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HARD`
  when the entered text reaches the edge of the text area, insert a line break
  `OFF`
  don't allow wrapping at all
  `SOFT`
  when the entered text reaches the edge of the text area, wrap visibly but don't include line breaks in the textarea value

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TextAreaWrap`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TextAreaWrap[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OFF

    public static final TextAreaWrap OFF
    don't allow wrapping at all

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "OFF".

  - ### SOFT

    public static final TextAreaWrap SOFT
    when the entered text reaches the edge of the text area, wrap visibly but don't include line breaks in the textarea value

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "SOFT".

  - ### HARD

    public static final TextAreaWrap HARD
    when the entered text reaches the edge of the text area, insert a line break

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "HARD".

- ## Method Details

  - ### values

    public static TextAreaWrap[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TextAreaWrap valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`